/**::selection {}*/
/*@property --nom {
syntax: "<angle><color><length><number><percentage>";
inherits: true;
initial-value: 0%;
}*/
:root
{
--marges: 10vmin;
--or: #f9cb89;
background: #664587 url(Fonds/Mosaique.webp) no-repeat center / cover fixed;
box-shadow: inset 0 0 15vmin black;
color: white;
font-family: 'Inter', Sans-Serif;
font-weight: 400;
font-size: 20px;
}
h1, h2, h3, h4, h5, h6, summary
{
--font-size-ratio: 1;
color: var(--or);
font-family: 'Cormorant Garamond', Serif;
font-weight: 500;
font-size: calc(2.5em * var(--font-size-ratio));
text-wrap: balance;
& > em {display: none;}
}
h2 {--font-size-ratio: 0.9;}
h3 {--font-size-ratio: 0.8;}
h4 {--font-size-ratio: 0.7;}
h5 {--font-size-ratio: 0.6;}
h6 {--font-size-ratio: 0.5;}
p {}
ul {list-style: none;}
a {color: inherit;}
hr
{
width: 50%;
margin: 1em auto;
background: black;
}
.infobulle:before
{
--fond: rgba(0,0,0,0.9)/*white*/;
--texte: white/*rgb(50,50,50)*/;
}

/* Markdown */
p.md, .md p
{
& a:not([class]) {text-decoration: underline;}
& img {display: block; max-width: 100%; margin: 1em 0;}
}

/* 404 */
#erreur404
{
width: 320px;
margin: auto;
text-align: center;
}
#erreur404 strong
{
font-size: 1.5em;
font-weight: 800;
line-height: 1.5em;
}
#erreur404 strong span
{
display: block;
font-size: 2em;
}
#erreur404 p {margin: 1em 0;}
#erreur404 a
{
display: inline-block;
padding: 0.25em;
border-radius: 0.25em;
font-size: 0.9em;
}

/* PIED */

footer
{
--beige: #cfb183;
padding-top: var(--marges);
background: var(--beige) url(Carte.webp) no-repeat center / cover;
box-shadow: inset 0 0 15vmin black;
border-top: 6px solid rgba(255,255,255,0.1);
color: #452815;
text-align: center;
}
footer article
{
display: block;
width: fit-content;
margin: auto;
border: 3em solid;
border-image: url(Cadre.webp) round 130 fill;
font-family: 'Averia Serif Libre', Serif;
line-height: 1em;
& strong
{
display: block;
margin-bottom: 0.25em;
font-size: 1.5em;
}
& a
{
display: inline-block;
margin: 0.15em;
}
& a img
{
display: block;
width: 2em;
}
}
footer address
{
display: block;
width: fit-content;
margin: 1em auto;
background: var(--beige);
text-wrap: balance;
& a
{
display: block;
padding: 0.5em;
}
}
footer p
{
background: linear-gradient(to top, var(--beige), transparent);
padding: 2em 1em 1em;
font-size: 0.65em;
font-weight: 600;
text-transform: uppercase;
}